# -*- encoding: UTF-8 -*-
require File.expand_path(File.join('../', 'spec_helper'),
						 File.dirname(__FILE__))

describe Object do
  it "Array should be understand" do
    [].do_you_understand.should  == [].class.to_s+understand
  end
  it "nil should be understand" do
    nil.do_you_understand.should == nil.class.to_s+understand
  end
  it "Hash should be understand" do
    {}.do_you_understand.should  == {}.class.to_s+understand
  end
  it "String should be understand" do 
	"".do_you_understand.should  == "".class.to_s+understand
  end
  it "Fixnum should be understand" do
	1.do_you_understand.should == 1.class.to_s+understand
  end
  it "Float should be understand" do
	1.1.do_you_understand.should == 1.1.class.to_s+understand
  end
  it "Regexp should be understand" do
    //.do_you_understand.should  == //.class.to_s+understand
  end
  it "Time should be understand" do
    Time.now.do_you_understand.should == Time.now.class.to_s+understand
  end
  it "Proc should be understand" do
    Proc.new{}.do_you_understand.should  == Proc.new{}.class.to_s+understand
  end
end
